html, body {
	background-color: black;
	color: white;
	font-family: helvetica, arial, sans-serif;
	font-size: 16px;
	line-height: 1.5;
	margin: 0;
	padding: 0;
}

.container {
	margin: 0 auto;
	max-width: 768px;
	padding: 20px 5%;
}

section {
	background-color: #171717;
}

h1, h2 {
	line-height: 1;
	text-transform: uppercase;
}

h2 {
	margin-top: 40px;
}

h2:first-of-type {
	margin-top: 20px;
}

.logo {
	display: block;
}

img {
	height: auto;
	max-width: 100%;
}

.logo img {
	width: 500px;
}

@media all and (max-width: 768px) {
	.logo img {
		width: 450px;
	}
}

@media all and (max-width: 479px) {
	.logo img {
		width: 350px;
	}
}

.icon.heart {
	color: lightcoral;
}

a {
	color: aquamarine;
	font-weight: bold;
}

a:hover, a:active {
	color: mediumaquamarine;
}

a code {
	color: black;
}

code {
	background-color: aquamarine;
	color: black;
	font-family: monospace;
	padding: 1px;
	user-select: all;
}

code.image {
	background-color: lightyellow;
}



/* Tom Kouba */

th {
	text-align: left;
}


.big {
	font-size: 1.5em;
}

.btn {
	padding: 0.7em 2em;
    border: 1px solid aquamarine;
    border-radius: 0.5em;
	background: transparent;
    color: aquamarine;
    font-weight: bold;
	font-size: 1em;
}

.text-center {
	text-align: center;
}

.block-left {
	float: left;
	width: 50%;
	text-align: left;
}

.block-right {
	float: left;
	width: 50%;
	text-align: right;
}

.footer {
	box-sizing: border-box;
	padding: 1em 2em;
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	background: #333;
}

.footer .author {
	color: #aaa;
}

.footer a {
	color: #aaa;
}

.nm-logo {
	width: 20px;
	height: 17px;

}

.refresh-icon {
	width: 20px;
	height: 20px;
}

.wind-data {
	font-size: 1.2em;
}

.apple-app-notice {
	width: 100%;
    box-sizing: border-box;
	padding: 0.7em 1em;
	background: #222;
	font-size: 14px;
	display: none;
}

.icon-apple-share {
	color: #0076F7;
}

.icon-apple-app {
	display: inline-block;
	width: 20px;
	height: 20px;
	border-radius: 15%;
}


/* wind rose https://codepen.io/nhereveri/pen/zYENBoB */

.compass {
	position: relative;
	width: 100%;
	height: 300px;
	display: flex;
	justify-content: center;
	align-items: center;
	overflow: hidden;
  }
  .compass > * {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	fill: aquamarine;
  }
  .compass svg:not(.will-transform) {
	filter: opacity(0.8);
  }
  .compass-content {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	font-family: 'Arial', sans-serif;
	font-size: 40px;
	font-weight: bold;
  }
  .compass-content .unit {
	font-size: 25px;
	font-weight: 100;
  }
  .vertical-flex {
	list-style-type: none;
	margin: 0;
	padding: 0;
	display: flex;
	text-align: center;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	font-family: 'Arial', sans-serif;
	font-size: 14px;
	font-weight: bold;
	color: #ffffff;
  }
  .vertical-flex .info {
	font-size: 12px;
	font-weight: 100;
	font-style: italic;
	margin-top: 0.5rem;
	white-space: nowrap;
  }
  .vertical-flex .info + .info {
	margin-top: 0;
  }
  /* optional styles */
  [x-cloak] {
	display: none !important;
  }
  #parent {
	width: 100vw;
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
  }
  .controls {
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-direction: column;
	font-family: 'Arial', sans-serif;
  }
  .card {
	/*
	margin: 20px;
	width: 300px;
	*/
	/* box-shadow: 2px 2px 4px 2px rgba(0, 0, 0, 0.2); */
	box-sizing: border-box;
	width: 100%;
	padding: 20px 10px;
  }
  .card .compass svg:not(.will-transform) {
	filter: opacity(0.9);
  }
  .card.active {
	background-color: #3ab0d8;
  }
  /*
  .card.active .compass svg {
	filter: invert(1) sepia(1) saturate(5) hue-rotate(175deg) opacity(1);
  }
  */
  .card.active .compass .compass-content {
	color: white;
  }
  .card.active .hour {
	color: white;
  }
  .will-transform {
	will-change: transform;
  }


  #parent {
	justify-content: space-between;
    /* align-items: center; */
    flex-direction: column;
  }